New Phosh image - first impressions
#51
(03-31-2020, 03:05 AM)someGermanGuy Wrote: edit: guess it would be much much simpler to just install any kind of terminal so users can use the phone with only wifi and not hacking around their hardware

We do install a terminal by default, but there is a Phosh bug which makes the icon dissapear in some cases for whatever reason.

(03-31-2020, 02:03 PM)Seferi Wrote: I'm trying to install telegram but I'm getting ' unsatisfied constraints ' when I give ' sudo apk add telegram-desktop '
What am I missing?

I never heard of that error before, interesting. Please post the full thing, not just that specific error. Telegram Desktop is available from the Alpine repos so it should "just work":tm:
#52
(04-01-2020, 05:10 AM)PureTryOut Wrote: We do install a terminal by default, but there is a Phosh bug which makes the icon dissapear in some cases for whatever reason.

then i am facing that bug. i installed now lxterminal, because xterm and mate-terminal did not work. the first one is unable to handle the virtual keyboard, the second one does not start at all. thanks for your effort!
#53
(04-01-2020, 05:10 AM)PureTryOut Wrote:
(03-31-2020, 03:05 AM)someGermanGuy Wrote: edit: guess it would be much much simpler to just install any kind of terminal so users can use the phone with only wifi and not hacking around their hardware

We do install a terminal by default, but there is a Phosh bug which makes the icon dissapear in some cases for whatever reason.

(03-31-2020, 02:03 PM)Seferi Wrote: I'm trying to install telegram but I'm getting ' unsatisfied constraints ' when I give ' sudo apk add telegram-desktop '
What am I missing?

I never heard of that error before, interesting. Please post the full thing, not just that specific error. Telegram Desktop is available from the Alpine repos so it should "just work":tm:

Here it is mate, thanks for looking in to it..

Edit: Tried to send a picture but wasn't successful. I'll try another way.. ( This forum desperately needs to switch to discourse)

sudo apk add telegram-desktop
[sudo] password for demo:
ERROR: unsatisfiable constraints:
icu-libs-65.1-r0:
conflicts: icu-libs-66.1-r0
satisfies: world[icu-libs] world[so:libicudata.so.65]
world[so:libicui18n.so.65] world[so:libicuio.so.65]
world[so:libicutest.so.65] world[so:libicutu.so.65]
world[so:libicuuc.so.65] firefox-74.0-r0[so:libicui18n.so.65]
firefox-74.0-r0[so:libicuuc.so.65]
mozjs68-68.6.0-r0[so:libicui18n.so.65]
mozjs68-68.6.0-r0[so:libicuuc.so.65]
evolution-data-server-3.36.0-r1[so:libicui18n.so.65]
evolution-data-server-3.36.0-r1[so:libicuuc.so.65]
mozjs60-60.9.0-r2[so:libicui18n.so.65]
mozjs60-60.9.0-r2[so:libicuuc.so.65]
libical-3.0.8-r0[so:libicui18n.so.65]
libical-3.0.8-r0[so:libicuuc.so.65]
webkit2gtk-2.28.0-r0[so:libicui18n.so.65]
webkit2gtk-2.28.0-r0[so:libicuuc.so.65]
nuspell-3.0.0-r3[so:libicuuc.so.65]
harfbuzz-icu-2.6.4-r1[so:libicuuc.so.65]
enchant2-2.2.8-r0[so:libicuuc.so.65]
vte3-0.60.0-r0[so:libicuuc.so.65]
icu-libs-66.1-r0:
conflicts: icu-libs-65.1-r0
satisfies: world[icu-libs] qt5-qtbase-9999-r0[so:libicui18n.so.66]
qt5-qtbase-9999-r0[so:libicuuc.so.66]
pine64-pinephone:~$
#54
(03-30-2020, 08:48 AM)PureTryOut Wrote: You do not need a new image, just update your existing system. Any new image would just give you what regular system upgrades would as well.

Code:
# apk update
# apk upgrade -a

So the March 16 release can be just 'updated'  and be 'current'  ?
      LINUX = CHOICES
         **BCnAZ**
               Idea
   Donate to $upport
your favorite OS Team
#55
(04-01-2020, 02:22 PM)Seferi Wrote:
sudo apk add telegram-desktop
[sudo] password for demo:
ERROR: unsatisfiable constraints:
icu-libs-65.1-r0:
conflicts: icu-libs-66.1-r0
satisfies: world[icu-libs] world[so:libicudata.so.65]
world[so:libicui18n.so.65] world[so:libicuio.so.65]
world[so:libicutest.so.65] world[so:libicutu.so.65]
world[so:libicuuc.so.65] firefox-74.0-r0[so:libicui18n.so.65]
firefox-74.0-r0[so:libicuuc.so.65]
mozjs68-68.6.0-r0[so:libicui18n.so.65]
mozjs68-68.6.0-r0[so:libicuuc.so.65]
evolution-data-server-3.36.0-r1[so:libicui18n.so.65]
evolution-data-server-3.36.0-r1[so:libicuuc.so.65]
mozjs60-60.9.0-r2[so:libicui18n.so.65]
mozjs60-60.9.0-r2[so:libicuuc.so.65]
libical-3.0.8-r0[so:libicui18n.so.65]
libical-3.0.8-r0[so:libicuuc.so.65]
webkit2gtk-2.28.0-r0[so:libicui18n.so.65]
webkit2gtk-2.28.0-r0[so:libicuuc.so.65]
nuspell-3.0.0-r3[so:libicuuc.so.65]
harfbuzz-icu-2.6.4-r1[so:libicuuc.so.65]
enchant2-2.2.8-r0[so:libicuuc.so.65]
vte3-0.60.0-r0[so:libicuuc.so.65]
icu-libs-66.1-r0:
conflicts: icu-libs-65.1-r0
satisfies: world[icu-libs] qt5-qtbase-9999-r0[so:libicui18n.so.66]
qt5-qtbase-9999-r0[so:libicuuc.so.66]
pine64-pinephone:~$
Seems like qt5-qtbase is built against a newer version of libicu then the other packages in that list, causing conflicts. That is strange, since the packages depending on the older versions come from Alpine directly and were rebuilt against the newer libicu before our Qt5 package.

I guess run an "apk update && apk upgrade -a" and try again.

(04-02-2020, 12:24 AM)bcnaz Wrote: So the March 16 release can be just 'updated' and be 'current' ?
Yes. The images you use are just snapshots of a specific time of the edge branch. You can always just update to the newest packages rather than reflashing.
#56
(04-03-2020, 02:32 AM)PureTryOut Wrote:
(04-01-2020, 02:22 PM)Seferi Wrote:
sudo apk add telegram-desktop
[sudo] password for demo:
ERROR: unsatisfiable constraints:
 icu-libs-65.1-r0:
   conflicts: icu-libs-66.1-r0
   satisfies: world[icu-libs] world[so:libicudata.so.65]
              world[so:libicui18n.so.65] world[so:libicuio.so.65]
              world[so:libicutest.so.65] world[so:libicutu.so.65]
              world[so:libicuuc.so.65] firefox-74.0-r0[so:libicui18n.so.65]
              firefox-74.0-r0[so:libicuuc.so.65]
              mozjs68-68.6.0-r0[so:libicui18n.so.65]
              mozjs68-68.6.0-r0[so:libicuuc.so.65]
              evolution-data-server-3.36.0-r1[so:libicui18n.so.65]
              evolution-data-server-3.36.0-r1[so:libicuuc.so.65]
              mozjs60-60.9.0-r2[so:libicui18n.so.65]
              mozjs60-60.9.0-r2[so:libicuuc.so.65]
              libical-3.0.8-r0[so:libicui18n.so.65]
              libical-3.0.8-r0[so:libicuuc.so.65]
              webkit2gtk-2.28.0-r0[so:libicui18n.so.65]
              webkit2gtk-2.28.0-r0[so:libicuuc.so.65]
              nuspell-3.0.0-r3[so:libicuuc.so.65]
              harfbuzz-icu-2.6.4-r1[so:libicuuc.so.65]
              enchant2-2.2.8-r0[so:libicuuc.so.65]
              vte3-0.60.0-r0[so:libicuuc.so.65]
 icu-libs-66.1-r0:
   conflicts: icu-libs-65.1-r0
   satisfies: world[icu-libs] qt5-qtbase-9999-r0[so:libicui18n.so.66]
              qt5-qtbase-9999-r0[so:libicuuc.so.66]
pine64-pinephone:~$
Seems like qt5-qtbase is built against a newer version of libicu then the other packages in that list, causing conflicts. That is strange, since the packages depending on the older versions come from Alpine directly and were rebuilt against the newer libicu before our Qt5 package.

I guess run an "apk update && apk upgrade -a" and try again.

(04-02-2020, 12:24 AM)bcnaz Wrote: So the March 16 release can be just 'updated'  and be 'current'  ?
Yes. The images you use are just snapshots of a specific time of the edge branch. You can always just update to the newest packages rather than reflashing.

Very strange that I'm the only one with the problem. I flashed the latest image (March 16) with jumpdrive again just to make sure. Still getting the same error...


Possibly Related Threads…
Thread Author Replies Views Last Post
  pmos/phosh edge update and audio disappears robthebold 9 1,144 07-10-2022, 03:26 AM
Last Post: arkadione
  How to delete single sms in phosh? bircoph 1 265 07-06-2022, 08:10 AM
Last Post: bircoph
  no screen rotation on pinephone pro with postmarketOS + phosh elode 2 893 07-03-2022, 09:13 AM
Last Post: a.h.littorin
  closing apps rather than leaving them running (phosh) lordearl 7 2,901 02-03-2022, 09:14 PM
Last Post: parry
  Application list PMOS-Phosh jmorris 6 3,157 12-04-2021, 02:26 AM
Last Post: Juergen
  Phosh beta 10, no send button on Chatty? Rainer 0 1,060 05-24-2021, 08:17 AM
Last Post: Rainer
  Where is the original PM OS image for Pinephone? mw4jet 1 1,681 03-14-2021, 07:37 AM
Last Post: ludix
  PMOS test image: failed EG25 test broke modem fw MtnSk8 4 3,305 02-28-2021, 02:20 PM
Last Post: MtnSk8
  No camera app on PinePhone Postmarket Edition / Phosh Noah222 3 3,215 12-02-2020, 03:38 PM
Last Post: jmorris
  Phosh and Plasma together stozi 5 4,872 09-30-2020, 01:25 PM
Last Post: wibble

Forum Jump:


Users browsing this thread: 1 Guest(s)